Package org.apache.jmeter.util

# Class ScriptingBeanInfoSupport

java.lang.Object
java.beans.SimpleBeanInfo
org.apache.jmeter.testbeans.BeanInfoSupport
org.apache.jmeter.util.ScriptingBeanInfoSupport

All Implemented Interfaces:
  `BeanInfo`

Direct Known Subclasses:
  `BSFBeanInfoSupport`, `JSR223BeanInfoSupport`

public abstract class ScriptingBeanInfoSupport extends BeanInfoSupport
Parent class to define common GUI parameters for BSF and JSR223 test elements

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor`

- ## Field Summary

  ### Fields inherited from class org.apache.jmeter.testbeans.BeanInfoSupport

  `DEFAULT, DEFAULT_NOT_SAVED, MULTILINE, NOT_EXPRESSION, NOT_OTHER, NOT_UNDEFINED, RESOURCE_BUNDLE, TAGS, TEXT_LANGUAGE`

  ### Fields inherited from interface java.beans.BeanInfo

  `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ScriptingBeanInfoSupport(Class<? extends TestBean> beanClass, String[] languageTags)`
  `protected`
  `ScriptingBeanInfoSupport(Class<? extends TestBean> beanClass, String[] languageTags, ResourceBundle rb)`

- ## Method Summary

  ### Methods inherited from class org.apache.jmeter.testbeans.BeanInfoSupport

  `createPropertyGroup, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, property, property, property, setIcon`

  ### Methods inherited from class java.beans.SimpleBeanInfo

  `loadImage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptingBeanInfoSupport

    protected ScriptingBeanInfoSupport(Class<? extends TestBean> beanClass, String[] languageTags)

  - ### ScriptingBeanInfoSupport

    protected ScriptingBeanInfoSupport(Class<? extends TestBean> beanClass, String[] languageTags, ResourceBundle rb)